Bug 619288 - Confusing error message from satellite-sync if mount point is empty (ERROR: server.mount_point not set in the configuration file)
Confusing error message from satellite-sync if mount point is empty (ERROR: s...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Satellite Synchronization (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Martin Minar
: Patch
Depends On:
Blocks: sat540-blockers 619290
  Show dependency treegraph
 
Reported: 2010-07-29 03:37 EDT by Xixi
Modified: 2016-07-03 20:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 619290 (view as bug list)
Environment:
Last Closed: 2010-10-28 10:56:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
satsync.py.TEST.1171433.1.patch (533 bytes, patch)
2010-07-29 03:40 EDT, Xixi
no flags Details | Diff

  None (edit)
Description Xixi 2010-07-29 03:37:14 EDT
Description of problem:
When /var/satellite (or whatever the mount_point is) is empty, satellite-sync (e.g., satellite-sync -l) returns "ERROR: server.mount_point not set in the configuration file". This is confusing to the user, customer suggests displaying "invalid server.mount_point" instead.

Version-Release number of selected component (if applicable):
Red Hat Network (RHN) Satellite 5.3.0

How reproducible:
Always.

Steps to Reproduce:
1. Have mount_point in /etc/rhn/rhn.conf point to an empty directory.
3. Run satellite-sync -l

Actual results:
ERROR: server.mount_point not set in the configuration file

Expected results:
ERROR: invalid server.mount_point set in the configuration file

Additional info:
Comment 1 Xixi 2010-07-29 03:40:01 EDT
Created attachment 435206 [details]
satsync.py.TEST.1171433.1.patch
Comment 2 Miroslav Suchý 2010-07-29 03:57:34 EDT
Already fixed during my investigation of BZ 614667 in commit 62a13f980c1b4fd016b9b3b00d1631b6a8969c77 in spacewalk.git.
Leaving to open to have it pass through QA as separate BZ.

The message should be:
ERROR: server.mount_point %s do not exist

and if some other path in  server.mount_point do not exist, it should print:
ERROR: path under server.mount_point (%s)  do not exist
Comment 4 Martin Minar 2010-09-02 09:52:12 EDT
Verified
Comment 8 Clifford Perry 2010-10-28 10:51:50 EDT
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford

Note You need to log in before you can comment on or make changes to this bug.